#include <iostream>
#include <stdio.h>
using namespace std;

int main()
{   int n;
    cin>>n;
    char c;
    long long int pojavljivanja[26]={};
    while((c=getchar())!='\n');
    for(int i=0;i<n;i++)
    {
        c=getchar();
        if(c=='A')
            pojavljivanja[0]++;
        else
        {
            pojavljivanja[c-'A']+=pojavljivanja[c-'A'-1];
            pojavljivanja[c-'A']%=1000000007;
        }
    }
    cout << pojavljivanja[25]%1000000007 << endl;
    return 0;
}